# voegtlings binary automaton
# P(0) = .4/.7   P(1) = .3/.7

# P(0|1) = 0.4
# P(1|1) = 0.6
# P(1|0) = 0.3
# P(0|0) = 0.7

BEGIN {

  no = (no <= 0) ? 10000 : no

  srand()

  state = (rand() < 3./7.) ? 1 : 0

  for(i = 1; i <= no; i++) {
    if(state == 1) {
      if(rand() < 0.4)  state = 0
    }
    else if(rand() < 0.3)  # && state == 0
      state = 1
    printf state ls
  }
}
